import {
    MonthModel,
    GLCostModel,
    UnitsModel,
    SuppliersModel,
    CostCenter,
    CurrenciesModel,
    PlantModel,
    InvestmentModel,
    CostCenterModel,
    BuzAreaModel,
    RequestbyModel
} from './pr.model';

export const Requestbys: RequestbyModel[] = [
    { id: '', requestName: '' },
    { id: 'RP06027', requestName: 'Suwit.S' },
    { id: 'RP13074', requestName: 'Wuchareeporn.L' },
    { id: 'RP14068', requestName: 'Kessarin.P' }
];

export const BuzAreas: BuzAreaModel[] = [
    { buzareano: '', buzarea: '' },
    { buzareano: '1-B', buzarea: 'TBS' },
    { buzareano: '2-B', buzarea: 'PC/LT' },
    { buzareano: '3-B', buzarea: 'Sunari' },
    { buzareano: '4-B', buzarea: 'TTCA' }
];

export const CostCenters: CostCenterModel[] = [
    { costCtr: '', costCtrName: '' },
    { costCtr: '1P-100-00', costCtrName: 'CENTER1' },
    { costCtr: '1P-200-00', costCtrName: 'EVP(ADMIN)' },
    { costCtr: '1P-210-00', costCtrName: 'TBS_HR&ADMIN. ADMI' },
    { costCtr: '1P-210-01', costCtrName: 'TBS_HR&ADMIN. FACT' },
    { costCtr: '1P-220-00', costCtrName: 'TBS_FA (ADMIN)' },
    { costCtr: '1P-220-01', costCtrName: 'TBS_FA (FACTORY)' },
    { costCtr: '1P-230-00', costCtrName: 'TBS_PURCHASE' },
    { costCtr: '1P-300-00', costCtrName: 'EVP & TBS PLANT MANA' },
    { costCtr: '1P-310-00', costCtrName: 'TBS_SAFETY&ENV ADM' },
    { costCtr: '1P-310-01', costCtrName: 'TBS_SAFETY&ENV FACT' },
    { costCtr: '1P-320-00', costCtrName: 'TBS_PLANT CNTL ADM' },
    { costCtr: '1P-320-01', costCtrName: 'TBS_PLANT CNTL FACT' },
    { costCtr: '1P-320-02', costCtrName: 'TBS_RAW MATERIAL' },
    { costCtr: '1P-320-03', costCtrName: 'TBS_F/G WH ADMIN' },
    { costCtr: '1P-320-04', costCtrName: 'TBS_SHIPPING ADMIN' },
    { costCtr: '1P-320-05', costCtrName: 'TBS_IT (ADMIN)' },
    { costCtr: '1P-320-06', costCtrName: 'TBS_IT (FACTORY)' },
    { costCtr: '1P-320-07', costCtrName: 'TBS_PLANNING ADMIN' },
    { costCtr: '1P-320-08', costCtrName: 'TBS_PLANNING FACTORY' },
    { costCtr: '1P-320-09', costCtrName: 'TBS_INDUST ENGIN ADM' },
    { costCtr: '1P-320-10', costCtrName: 'TBS_INDUST ENGIN FAC' },
    { costCtr: '1P-320-11', costCtrName: 'TBS_F/G WH FACTORY' },
    { costCtr: '1P-320-12', costCtrName: 'TBS_SHIPPING FACTORY' },
    { costCtr: '1P-330-00', costCtrName: 'TBS_M1- CENTER' },
    { costCtr: '1P-330-01', costCtrName: 'TBS_M1- MIXING' },
    { costCtr: '1P-330-02', costCtrName: 'TBS_M1- STEEL CALEND' },
    { costCtr: '1P-330-03', costCtrName: 'TBS_M1- EXTRUDING, I' },
    { costCtr: '1P-330-04', costCtrName: 'TBS_M1- CUTTING & BE' },
    { costCtr: '1P-330-05', costCtrName: 'TBS_M1- CALENDERING' },
    { costCtr: '1P-330-06', costCtrName: 'TBS_M1- BEAD_SELF' },
    { costCtr: '1P-330-07', costCtrName: 'TBS_M1- CENTER_D' },
    { costCtr: '1P-340-00', costCtrName: 'TBS_M2- CENTER' },
    { costCtr: '1P-340-01', costCtrName: 'TBS_M2- BUILDING' },
    { costCtr: '1P-340-02', costCtrName: 'TBS_M2- CURING, MOLD' },
    { costCtr: '1P-340-03', costCtrName: 'TBS_M2- FINISHING' },
    { costCtr: '1P-340-04', costCtrName: 'TBS_M2- CENTER_D' },
    { costCtr: '1P-350-00', costCtrName: 'TBS_ME- CENTER' },
    { costCtr: '1P-350-01', costCtrName: 'TBS_ME- ELECTRICAL' },
    { costCtr: '1P-350-02', costCtrName: 'TBS_ME- MECHANICAL' },
    { costCtr: '1P-350-03', costCtrName: 'TBS_ME- UTILITIES' },
    { costCtr: '1P-360-00', costCtrName: 'TBS_HEAD QA' },
    { costCtr: '1P-370-00', costCtrName: 'TBS_QT- CENTER' },
    { costCtr: '1P-370-01', costCtrName: 'TBS_QT- QA' },
    { costCtr: '1P-370-02', costCtrName: 'TBS_QT- TECHNOLOGY' },
    { costCtr: '2P-100-00', costCtrName: 'CENTER2' },
    { costCtr: '2P-400-00', costCtrName: 'PC/LT 1_CENTER' },
    { costCtr: '2P-410-01', costCtrName: 'PC/LT 1_MIXING - CE' },
    { costCtr: '2P-410-02', costCtrName: 'PC/LT 1_MIXING - MI' },
    { costCtr: '2P-410-03', costCtrName: 'PC/LT 1_MIXING - CA' },
    { costCtr: '2P-420-00', costCtrName: 'PC/LT 1_M1 - CENTER' },
    { costCtr: '2P-420-01', costCtrName: 'PC/LT 1_M1 - MATERI' },
    { costCtr: '2P-420-02', costCtrName: 'PC/LT 1_M1 - CUTTING' },
    { costCtr: '2P-420-03', costCtrName: 'PC/LT 1_M1-BEAD_SELF' },
    { costCtr: '2P-420-04', costCtrName: 'PC/LT 1_M1-EXTRUDING' },
    { costCtr: '2P-420-05', costCtrName: 'PC/LT 1_M1 -CENTER_D' },
    { costCtr: '2P-420-06', costCtrName: 'PC/LT 1_M1 - CALENDE' },
    { costCtr: '2P-430-00', costCtrName: 'PC/LT 1_M2 - CENTER' },
    { costCtr: '2P-430-01', costCtrName: 'PC/LT 1_M2 - BUILDI' },
    { costCtr: '2P-430-02', costCtrName: 'PC/LT 1_M2 - CURING' },
    { costCtr: '2P-430-03', costCtrName: 'PC/LT 1_M2 - FINISH' },
    { costCtr: '2P-430-04', costCtrName: 'PC/LT 1_M2 -CENTER_D' },
    { costCtr: '2P-440-00', costCtrName: 'PC/LT 1_ME - CENTER' },
    { costCtr: '2P-440-01', costCtrName: 'PC/LT 1_ME - MAINTEN' },
    { costCtr: '2P-440-02', costCtrName: 'PC/LT 1_ME - ENGINEE' },
    { costCtr: '2P-440-03', costCtrName: 'PC/LT 1_ME-UTILITIES' },
    { costCtr: '2P-440-04', costCtrName: 'PC/LT 1_ME -ELECTRIC' },
    { costCtr: '2P-450-00', costCtrName: 'PC/LT 1_QT - CENTER' },
    { costCtr: '2P-450-01', costCtrName: 'PC/LT 1_QT - TECHNO' },
    { costCtr: '2P-450-02', costCtrName: 'PC/LT 1_QT - QA' },
    { costCtr: '2P-460-00', costCtrName: 'PC/LT 1_PLNT CNTL AD' },
    { costCtr: '2P-460-01', costCtrName: 'PC/LT 1_PLNT CNTL FC' },
    { costCtr: '2P-460-02', costCtrName: 'PC/LT 1_PLNT - IT AD' },
    { costCtr: '2P-460-03', costCtrName: 'PC/LT 1_PLNT - IT FC' },
    { costCtr: '2P-460-04', costCtrName: 'PC/LT 1 _DP - RAW M' },
    { costCtr: '2P-460-05', costCtrName: 'PC/LT 1_DP F/G WA AD' },
    { costCtr: '2P-460-06', costCtrName: 'PC/LT 1_DP SHIPPI AD' },
    { costCtr: '2P-460-07', costCtrName: 'PC/LT 1_DP F/G WA FA' },
    { costCtr: '2P-460-08', costCtrName: 'PC/LT 1_DP SHIPPI FA' },
    { costCtr: '2P-470-00', costCtrName: 'PC/LT 1_HR & ADMIN.' },
    { costCtr: '2P-470-01', costCtrName: 'PC/LT 1_HR & ADMIN.' },
    { costCtr: '2P-471-00', costCtrName: 'PC/LT 1_SAFE&ENV ADM' },
    { costCtr: '2P-471-01', costCtrName: 'PC/LT 1_SAFE&ENV FAC' },
    { costCtr: '2P-480-00', costCtrName: 'PC/LT 1_FA (ADMIN)' },
    { costCtr: '2P-480-01', costCtrName: 'PC/LT 1_FA (FACTORY)' },
    { costCtr: '2P-481-00', costCtrName: 'PC/LT 1_PURCHASE' },
    { costCtr: '2P-482-00', costCtrName: 'PC/LT 1_HEAD QA' },
    { costCtr: '3P-100-00', costCtrName: 'CENTER3' },
    { costCtr: '3P-410-04', costCtrName: 'SUNERI_MIXING-CO A' },
    { costCtr: '3P-410-05', costCtrName: 'SUNERI_MIXING-CO F' },
    { costCtr: '4P-100-00', costCtrName: 'CENTER4' },
    { costCtr: '4P-240-00', costCtrName: 'TTCA (ADMIN)' },
    { costCtr: '4P-500-00', costCtrName: 'TTCA-CENTER' },
    { costCtr: '4P-510-00', costCtrName: 'TTCA-CENTER' },
    { costCtr: '4P-510-01', costCtrName: 'TTCA - ME' },
    { costCtr: '4P-510-02', costCtrName: 'TTCA - HR & ADMIN.' },
    { costCtr: '4P-510-03', costCtrName: 'TTCA - FA' },
    { costCtr: '4P-510-04', costCtrName: 'TTCA-TDCT-CENTER' },
    { costCtr: '4P-510-05', costCtrName: 'TTCA-TDCT-ME MAINTEN' },
    { costCtr: '4P-510-06', costCtrName: 'TTCA-TDCT-HR & ADMIN' },
    { costCtr: '5P-100-00', costCtrName: 'CENTER5' },
    { costCtr: '5P-600-00', costCtrName: 'PC/LT 2_CENTER' },
    { costCtr: '5P-610-00', costCtrName: 'PC/LT 2_M1 - CENTER' },
    { costCtr: '5P-610-01', costCtrName: 'PC/LT 2_M1 - MATERI' },
    { costCtr: '5P-620-00', costCtrName: 'PC/LT 2_M2 - CENTER' },
    { costCtr: '5P-620-01', costCtrName: 'PC/LT 2_M2 - BUILDI' },
    { costCtr: '5P-620-02', costCtrName: 'PC/LT 2_M2 - CURING' },
    { costCtr: '5P-620-03', costCtrName: 'PC/LT 2_M2 - FINISH' },
    { costCtr: '5P-630-00', costCtrName: 'PC/LT 2_MIXING - CE' },
    { costCtr: '5P-630-01', costCtrName: 'PC/LT 2_MIXING - MI' },
    { costCtr: '5P-640-00', costCtrName: 'PC/LT 2_ME - CENTER' },
    { costCtr: '5P-640-01', costCtrName: 'PC/LT 2_ME - ENGINE' },
    { costCtr: '5P-640-02', costCtrName: 'PC/LT 2_ME - MAINTE' },
    { costCtr: '5P-650-00', costCtrName: 'PC/LT 2_QT - CENTER' },
    { costCtr: '5P-650-01', costCtrName: 'PC/LT 2_QT - TECHNO' },
    { costCtr: '5P-650-02', costCtrName: 'PC/LT 2_QT - QA' },
    { costCtr: '5P-650-03', costCtrName: 'PC/LT 2_HEAD QA' },
    { costCtr: '5P-660-00', costCtrName: 'PC/LT 2_PLANT ADM' },
    { costCtr: '5P-660-01', costCtrName: 'PC/LT 2_PLANT FACT' },
    { costCtr: '5P-660-02', costCtrName: 'PC/LT 2_PLANT IT ADM' },
    { costCtr: '5P-660-03', costCtrName: 'PC/LT 2_PLANT IT FAC' },
    { costCtr: '5P-660-04', costCtrName: 'PC/LT 2 _DP - RAW M' },
    { costCtr: '5P-660-05', costCtrName: 'PC/LT 2_DP F/G WA AD' },
    { costCtr: '5P-660-06', costCtrName: 'PC/LT 2_DP SHIPPI AD' },
    { costCtr: '5P-660-07', costCtrName: 'PC/LT 2_DP F/G WA FA' },
    { costCtr: '5P-660-08', costCtrName: 'PC/LT 2_DP SHIPPI FA' },
    { costCtr: '5P-670-00', costCtrName: 'PC/LT 2_HR&ADMIN ADM' },
    { costCtr: '5P-670-01', costCtrName: 'PC/LT 2_HR&ADMIN FCT' },
    { costCtr: '5P-670-02', costCtrName: 'PC/LT 2_SAFE&ENV AD' },
    { costCtr: '5P-670-03', costCtrName: 'PC/LT 2_SAFE&ENV FC' },
    { costCtr: '5P-671-00', costCtrName: 'PC/LT 2_FA (ADMIN)' },
    { costCtr: '5P-671-01', costCtrName: 'PC/LT 2_FA (FACTORY)' },
    { costCtr: '5P-672-00', costCtrName: 'PC/LT 2_PURCHASE' },
    { costCtr: '5P-673-00', costCtrName: 'PC/LT 2_HEAD QA' },
    { costCtr: '6P-100-00', costCtrName: 'CENTER6' },
    { costCtr: '6P-700-00', costCtrName: 'PC/LT 3_CENTER' },
    { costCtr: '6P-710-00', costCtrName: 'PC/LT 3_MIXING - CE' },
    { costCtr: '6P-710-01', costCtrName: 'PC/LT 3_MIXING - MI' },
    { costCtr: '6P-720-00', costCtrName: 'PC/LT 3_M1 - CENTER' },
    { costCtr: '6P-720-01', costCtrName: 'PC/LT 3_M1 - MATERI' },
    { costCtr: '6P-730-00', costCtrName: 'PC/LT 3_M2 - CENTER' },
    { costCtr: '6P-730-01', costCtrName: 'PC/LT 3_M2 - BUILDI' },
    { costCtr: '6P-730-02', costCtrName: 'PC/LT 3_M2 - CURING' },
    { costCtr: '6P-740-00', costCtrName: 'PC/LT 3_ME - CENTER' },
    { costCtr: '6P-740-01', costCtrName: 'PC/LT 3_ME - ENGINE' },
    { costCtr: '6P-740-02', costCtrName: 'PC/LT 3_ME - MAINTE' },
    { costCtr: '6P-750-00', costCtrName: 'PC/LT 3_QT - CENTE' },
    { costCtr: '6P-750-01', costCtrName: 'PC/LT 3_QT - TECHNO' },
    { costCtr: '6P-750-02', costCtrName: 'PC/LT 3_QT - QA' },
    { costCtr: '6P-760-00', costCtrName: 'PC/LT 3_PLANT ADM' },
    { costCtr: '6P-760-01', costCtrName: 'PC/LT 3_PLANT FAC' },
    { costCtr: '6P-760-02', costCtrName: 'PC/LT 3_PLANT IT ADM' },
    { costCtr: '6P-760-03', costCtrName: 'PC/LT 3_PLANT IT FAC' },
    { costCtr: '6P-760-04', costCtrName: 'PC/LT 3 _DP - RAW M' },
    { costCtr: '6P-760-05', costCtrName: 'PC/LT 3_DP F/G WH AD' },
    { costCtr: '6P-760-06', costCtrName: 'PC/LT 3_DP SHIPPI AD' },
    { costCtr: '6P-760-07', costCtrName: 'PC/LT 3_DP F/G WH FA' },
    { costCtr: '6P-760-08', costCtrName: 'PC/LT 3_DP SHIPPI FA' },
    { costCtr: '6P-770-00', costCtrName: 'PC/LT 3_HR&ADMIN ADM' },
    { costCtr: '6P-770-01', costCtrName: 'PC/LT 3_HR&ADMIN FAC' },
    { costCtr: '6P-771-00', costCtrName: 'PC/LT 3_SAFE&ENV ADM' },
    { costCtr: '6P-771-01', costCtrName: 'PC/LT 3_SAFE&ENV FAC' },
    { costCtr: '6P-772-00', costCtrName: 'PC/LT 3_FA (ADMIN)' },
    { costCtr: '6P-772-01', costCtrName: 'PC/LT 3_FA (FACTORY)' },
    { costCtr: '6P-773-00', costCtrName: 'PC/LT 3_PURCHASE' },
    { costCtr: '6P-774-00', costCtrName: 'PC/LT 3_HEAD QA' }
];

export const Investments: InvestmentModel[] = [
    { invNo: 0, invName: '' },
    { invNo: 1, invName: 'Investment' },
    { invNo: 2, invName: 'No Investment' }
];

export const Plants: PlantModel[] = [
    { plantNo: '', plantName: '' },
    { plantNo: 'RP01', plantName: 'TBS' },
    { plantNo: 'RP02', plantName: 'PC/LT' },
    { plantNo: 'RP03', plantName: 'Sunari' },
    { plantNo: 'RP04', plantName: 'TTCA' },
];

export const Months: MonthModel[] = [
    { no: '01', mon: 'January' },
    { no: '02', mon: 'February' },
    { no: '03', mon: 'March' },
    { no: '04', mon: 'April' },
    { no: '05', mon: 'May' },
    { no: '06', mon: 'June' },
    { no: '07', mon: 'July' },
    { no: '08', mon: 'August' },
    { no: '09', mon: 'September' },
    { no: '10', mon: 'October' },
    { no: '11', mon: 'November' },
    { no: '12', mon: 'December' }
];

export const Currencies: CurrenciesModel[] = [
    { no: 0, curr: '' },
    { no: 1, curr: 'THB' },
    { no: 2, curr: 'US' },
    { no: 3, curr: 'JPY' }
];

export const GLs: GLCostModel[] = [
    { gl: '' },
    { gl: '5450354' },
    { gl: '5551350' },
    { gl: '5551351' },
    { gl: '8410340' },
    { gl: '8410350' },
    { gl: '8440300' },
    { gl: '8440310' },
];

export const Units: UnitsModel[] = [
    { unit: '' },
    { unit: 'BOX' },
    { unit: 'ROLL' },
    { unit: 'EA' },
    { unit: 'PACK' },
    { unit: 'PCS' },
    { unit: 'SET' },
    { unit: 'DAY' },
    { unit: 'MONTH' },
    { unit: 'YEAR' }
];

export const Suppliers: SuppliersModel[] = [
    { sp: '' },
    { sp: 'Accept Tech' },
    { sp: 'Advance IT' },
    { sp: 'B&M' },
    { sp: 'BT Connect' },
    { sp: 'Catalog System' },
    { sp: 'CCM System' },
    { sp: 'Chiyoda Kohan' },
    { sp: 'EAC Eastern Air' },
    { sp: 'First Telecom System' },
    { sp: 'Fujitsu Thailand' },
    { sp: 'Internet Thailand' },
    { sp: 'Inter Supply' },
    { sp: 'Jenbunjob' },
    { sp: 'Keyence' },
    { sp: 'Kranes' },
    { sp: 'MyArduino.net' },
    { sp: 'N.P. Doulas' },
    { sp: 'Nitto' },
    { sp: 'Phumthai Comsys' },
    { sp: 'Planet' },
    { sp: 'Precision Tools Service' },
    { sp: 'Purchase' },
    { sp: 'Radio Meter' },
    { sp: 'Rent Thailand' },
    { sp: 'RNS' },
    { sp: 'Star Electric Service' },
    { sp: 'TT Network' },
    { sp: 'อิสเทิร์นซีบอร์ด แมชชินเนอรี่' },
];
